HARBOUR(1)

NAME
harbour - Harbour compiler

SYNOPSIS
harbour <file[s][.prg]|@file> [options]

DESCRIPTION
harbour is a CA-Cl*pper compatible compiler for multiple platforms.

OPTIONS

-a  Automatic memvar declaration

-b  Debug info

-build
    display detailed version info

-credits
    display credits

-d<id>[=<val>]
    #define <id>

-es[<level>]
    set exit severity

-g<type>
    output type generated is <type> (see below)

-gc[<type>]
    output type: C source (.c) (default)

    <type>: 0=compact (default) 1=normal 2=verbose

    3=generate real C code instead of PCODE

-gh output type: Harbour Portable Object (.hrb)

-gd[.<destext>]
    generate dependencies list into (.d) file

-ge[<mode>]
    error output <mode>: 0=Clipper (default) 1=IDE friendly

-i<path>
    #include file search path

-i[-|+]
    disable/enable support for INCLUDE envvar

-j[<file>]
    generate i18n gettex file (.pot)

-k  compilation mode (type -k? for more data)

-l  suppress line number information

-m  compile module only

-n[<type>]
    no implicit starting procedure (default)

    <type>: 0=no implicit starting procedure

    1=no starting procedure at all

    2=add starting procedure if necessary

-o<path>
    object file drive and/or path

-p[<path>]
    generate pre-processed output (.ppo) file

-p+ generate pre-processor trace (.ppt) file

-q  quiet

-q0 quiet and don't display program header

-q2 disable all output messages

-r=<max>
    set maximum number of preprocessor iterations

-s[m]
    syntax check only [minimal for dependencies list]

-u[<file>]
    use command def set in <file> (or none)

-u+<file>
    add command def set from <file>

-undef:<id>
    #undef <id>

-v  variables are assumed M->

-w[<level>]
    set warning level number (0..3, default 1)

-x[<prefix>]
    set symbol init function name prefix (for .c only)

-z  suppress shortcutting (.and. & .or.)

@<file>
    compile list of modules in <file>

AUTHOR
Authors of Harbour: Type 'harbour -credits' for the Harbour Team This manual page was written by Luis Mayoral <mayoral@linuxadicto.org>, for the Debian GNU/Linux system (but may be used by others).